> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/de/powershell-befehle/new-uddrawer.md).

# New-UDDrawer

New-UDDrawer erstellt ein einklappbares Navigationsfenster in PowerShell Universal, das typischerweise mit New-UDAppBar für die Navigation von Seite zu Seite kombiniert wird.

### Übersicht

Erstellt einen neuen Drawer.

### Syntax

```powershell
New-UDDrawer [[-Id] <String>] [[-Children] <ScriptBlock>] [[-Variant] <String>] [[-Anchor] <String>] [[-ClassName] <String>] [-ShowCollapse] [<CommonParameters>]
```

### Beschreibung

Erstellt einen neuen Drawer. Ein Drawer ist eine Navigationskomponente, die typischerweise zum Navigieren zwischen Seiten verwendet wird. Er kann mit New-UDAppBar verwendet werden, um eine benutzerdefinierte Navigationsleiste bereitzustellen.

### Parameter

#### -Id

Die ID der Komponente. Standardmäßig ist dies eine zufällige GUID.

```
Required?                    false
Position?                    1
Default value                [Guid]::NewGuid()
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Children

Navigationssteuerelemente, die im Drawer angezeigt werden sollen. Verwenden Sie New-UDList und New-UDListItem, um Links innerhalb des Drawers zu erzeugen.

```
Required?                    false
Position?                    2
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Variant

Der Typ des Drawers. Gültige Werte sind "persistent", "permanent", "temporary"

```
Required?                    false
Position?                    3
Default value                temporary
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Anchor

Wo der Drawer verankert werden soll. Gültige Werte sind "left", "right", "top", "bottom"

```
Required?                    false
Position?                    4
Default value                left
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ClassName

Eine CSS-Klasse, die auf den Drawer angewendet wird.

```
Required?                    false
Position?                    5
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ShowCollapse

Die Einklappen-Schaltfläche anzeigen

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### Allgemeine Parameter

Dieses Cmdlet unterstützt die allgemeinen Parameter: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, WarningVariable, OutBuffer, PipelineVariable und OutVariable. Weitere Informationen finden Sie unter [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Ausgaben

### Beispiele

#### Beispiel 1

```powershell
$Drawer = New-UDDrawer -Id 'drawer' -Children {
    New-UDList -Content {
        New-UDListItem -Id 'lstHome' -Label 'Home' -OnClick {
            Set-TestData 'Home'
            } -Content {
                New-UDListItem -Id 'lstNested' -Label 'Nested' -OnClick {
                Set-TestData 'Nested'
                }
            }
    }
}

New-UDElement -Tag 'main' -Content {
    New-UDAppBar -Children { New-UDTypography -Text 'Hello' -Paragraph } -Position relative -Drawer $Drawer
}
```

Erstellt eine benutzerdefinierte Navigationsleiste mit New-UDDrawer

\[Component("Drawer", "WindowMaximize", "Creates a new card.")]


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell-universal/de/powershell-befehle/new-uddrawer.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
